Package it.ernytech.tdlib

## Class TdApi.EditInlineMessageCaption

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.EditInlineMessageCaption

Enclosing class:
  TdApi

    public static class TdApi.EditInlineMessageCaption
    extends TdApi.Function

Edits the caption of an inline message sent via a bot; for bots only.

Returns `Ok`

### Field Summary

Fields
`TdApi.FormattedText` `caption` New message content caption; 0-200 characters.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `inlineMessageId` Inline message identifier.
`TdApi.ReplyMarkup` `replyMarkup` New message reply markup.

### Constructor Summary

Constructors
`EditInlineMessageCaption()` Default constructor.
`EditInlineMessageCaption​(java.lang.String inlineMessageId, TdApi.ReplyMarkup replyMarkup, TdApi.FormattedText caption)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### inlineMessageId

    public java.lang.String inlineMessageId

Inline message identifier.

#### replyMarkup

    public TdApi.ReplyMarkup replyMarkup

New message reply markup.

#### caption

    public TdApi.FormattedText caption

New message content caption; 0-200 characters.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### EditInlineMessageCaption

    public EditInlineMessageCaption()

Default constructor.

#### EditInlineMessageCaption

    public EditInlineMessageCaption​(java.lang.String inlineMessageId,
                                    TdApi.ReplyMarkup replyMarkup,
                                    TdApi.FormattedText caption)

Constructor for initialization of all fields.

Parameters:
  `inlineMessageId` - Inline message identifier.
  `replyMarkup` - New message reply markup.
  `caption` - New message content caption; 0-200 characters.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR